package com.kingdee.eas.custom.dormitorysystem.waterpower;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WaterPowerPricingFactory
{
    private WaterPowerPricingFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerPricing getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerPricing)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("5DB319FD") ,com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerPricing.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerPricing getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerPricing)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("5DB319FD") ,com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerPricing.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerPricing getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerPricing)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("5DB319FD"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerPricing getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.waterpower.IWaterPowerPricing)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("5DB319FD"));
    }
}